Skip to content
Dashboard

Delete a company

DELETE/v2/companies/{id}

Deletes a company by its Featurebase ID.

This will also remove the company from all linked users’ associations.

Path Parameters

  • id - The Featurebase internal ID of the company (MongoDB ObjectId)

Response

Returns a deletion confirmation object:

{
  "id": "507f1f77bcf86cd799439011",
  "object": "company",
  "deleted": true
}

Error Responses

  • 404 Not Found - Company with the specified ID does not exist

Version Availability

This endpoint is only available in API version 2026-01-01.nova and newer.

Path ParametersExpand Collapse
id: string

The Featurebase internal ID of the company (MongoDB ObjectId)

Header ParametersExpand Collapse
"Featurebase-Version": optional "2026-01-01.nova" or "2025-12-12.clover"
One of the following:
"2026-01-01.nova"
"2025-12-12.clover"
ReturnsExpand Collapse
DeletedCompany object { id, deleted, object }
id: string

Unique identifier of the deleted company

deleted: true

Indicates the resource was deleted

object: "company"

Object type identifier

Delete a company

curl https://do.featurebase.app/v2/companies/$ID \
    -X DELETE \
    -H "Authorization: Bearer $FEATUREBASE_API_KEY"
{
  "id": "507f1f77bcf86cd799439011",
  "deleted": true,
  "object": "company"
}
Returns Examples
{
  "id": "507f1f77bcf86cd799439011",
  "deleted": true,
  "object": "company"
}